Neural Architecture Search
==========================

nni.retiarii
------------

..  automodule:: nni.retiarii
    :imported-members:
    :members:

nni.retiarii.codegen
--------------------

..  automodule:: nni.retiarii.codegen
    :imported-members:
    :members:

nni.retiarii.converter
----------------------

..  automodule:: nni.retiarii.converter
    :imported-members:
    :members:

nni.retiarii.evaluator
----------------------

..  automodule:: nni.retiarii.evaluator
    :imported-members:
    :members:

..  automodule:: nni.retiarii.evaluator.pytorch
    :imported-members:
    :members:
    :exclude-members: Trainer, DataLoader

..  autoclass:: nni.retiarii.evaluator.pytorch.Trainer

..  autoclass:: nni.retiarii.evaluator.pytorch.DataLoader

nni.retiarii.execution
----------------------

..  automodule:: nni.retiarii.execution
    :imported-members:
    :members:
    :undoc-members:

nni.retiarii.experiment.pytorch
-------------------------------

..  automodule:: nni.retiarii.experiment.pytorch
    :members:

nni.retiarii.nn.pytorch
-----------------------

..  automodule:: nni.retiarii.nn.pytorch.api
    :imported-members:
    :members:
    :noindex:

..  automodule:: nni.retiarii.nn.pytorch.component
    :imported-members:
    :members:
    :noindex:

..  automodule:: nni.retiarii.nn.pytorch.hypermodule
    :imported-members:
    :members:
    :noindex:

..  automodule:: nni.retiarii.nn.pytorch.mutation_utils
    :imported-members:
    :members:

nni.retiarii.oneshot
--------------------

..  automodule:: nni.retiarii.oneshot
    :imported-members:
    :members:


nni.retiarii.operation_def
--------------------------

..  automodule:: nni.retiarii.operation_def
    :imported-members:
    :members:

nni.retiarii.strategy
---------------------

..  automodule:: nni.retiarii.strategy
    :imported-members:
    :members:

nni.retiarii.utils
------------------

..  automodule:: nni.retiarii.utils
    :members:
